curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/sessions/{session_id}/traces/id/{trace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": true,
"output": true,
"parent_id": null,
"test_run_info": {
"test_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"agent_name": null,
"custom_metadata": null,
"eval_results": null,
"name": null,
"kind": null,
"start_time": null,
"end_time": null
}
'{}Create or update a trace within a session. Use to group related completions in agent workflows. See SDK method.
Generate the trace_id client-side (UUID v4) to avoid round-trip latency.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/sessions/{session_id}/traces/id/{trace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": true,
"output": true,
"parent_id": null,
"test_run_info": {
"test_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"agent_name": null,
"custom_metadata": null,
"eval_results": null,
"name": null,
"kind": null,
"start_time": null,
"end_time": null
}
'{}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Show child attributes
Show child attributes
"tool"EmptyResponse()
The response is of type EmptyResponse · object.